import { TemplateObject } from "logimat";
/**
 * Creates a new prefab.
 * Usage: createPrefab!(name: string);
 */
export declare const createPrefab: TemplateObject;
/**
 * Add to an already existing prefab.
 * Usage: extendPrefab!(name: string, body: Body);
 */
export declare const extendPrefab: TemplateObject;
/**
 * Add a behavior to a prefab. Any additional arguments will be passed to the behavior. To use
 * prefab arguments, wrap the number in quotes, which will now indicate the index of the prefab argument.
 * Usage: useBehavior!(behaviorName: string);
 */
export declare const useBehaviorPrefab: TemplateObject;
/**
 * Set the value of an object's variable (during compilation). This must be used before a variable is marked as mutable.
 * To use prefab arguments, wrap the number in quotes, which will now indicate the index of the prefab argument.
 * Usage: setPrefabVal!(variableName: string, val: number | string);
 */
export declare const setPrefabVal: TemplateObject;
/**
 * Creates a new object from a prefab.
 * Usage: usePrefab!(prefab: string, body?: Body);
 */
export declare const usePrefab: TemplateObject;
/**
 * For internal use only.
 */
export declare const setPrefab: TemplateObject;
