import { TemplateObject } from "logimat";
/**
 * Sets a specific ID to be the one used by select templates.
 * Usage: selectID!(id?: number);
 */
export declare const selectID: TemplateObject;
/**
 * Gets the currently selected ID.
 * Usage: selectedID!();
 */
export declare const selectedID: TemplateObject;
/**
 * Selects every object and uses the specified body on each.
 * Usage: selectAll!(body: Body, array?: boolean);
 */
export declare const selectAll: TemplateObject;
/**
 * Selects every object that has a specific behavior and uses the specified body on each.
 * Usage: selectBehavior!(behavior: string, body: Body, array?: boolean);
 */
export declare const selectBehavior: TemplateObject;
/**
 * Marks the current object's variable as mutable (changable after compilation).
 * Usage: setMutSelect!(variableName: string);
 */
export declare const setMutSelect: TemplateObject;
/**
 * Marks the current object's variable as mutable, but inlines it instead of exporting it.
 * Usage: setInlineSelect!(variableName: string);
 */
export declare const setInlineSelect: TemplateObject;
/**
 * Get the value of the current object's variable. A boolean can be supplied to get the currently saved value instead of the current value.
 * Usage: getValSelect!(variableName: string, saved?: boolean);
 */
export declare const getValSelect: TemplateObject;
/**
 * Set the value of the current object's variable (during compilation). This must be used before a variable is marked as mutable.
 * Usage: setValSelect!(variableName: string, val: number);
 */
export declare const setValSelect: TemplateObject;
/**
 * Set the value of the current object's variable on update (during runtime). This must be used after a variable is marked as mutable.
 * Usage: setValActionSelect!(variableName: string, body: Body);
 */
export declare const setValActionSelect: TemplateObject;
/**
 * For internal use only.
 */
export declare const reIncrement: TemplateObject;
/**
 * Create an action that sets the value of the current object's variable (during runtime). This must be run manually (or as the click property of an object). This must be used after a variable is marked as mutable.
 * Usage: noRegisterSetValActionSelect!(variableName: string, body: Body, actionName?: string);
 */
export declare const noRegisterSetValActionSelect: TemplateObject;
/**
 * Gets the display properties for the current objects, and inserts them in place of this template.
 * Usage: getDisplay!();
 */
export declare const getDisplay: TemplateObject;
