export declare class Behavior {
    private readonly name;
    private parts;
    private postParts;
    private helpers;
    private displays;
    private nextId;
    constructor(name: string);
    /**
     * Add a new part to the behavior.
     */
    add(val: (id: number, idx: number) => string): void;
    /**
     * Add a new post part to the behavior.
     */
    addPost(val: (id: number, idx: number) => string, priority: number): void;
    /**
     * Adds a helper method/variable to this behavior.
     * @param val {string} - is the helper.
     * @param priority {number} - is the priority of the helper.
     */
    addHelper(val: string, priority: number): void;
    /**
     * Adds a display property to this behavior.
     * @param val {string} - is the display property.
     * @param priority {number} - is the priority of the display property.
     */
    addDisplay(val: string, priority: number): void;
    /**
     * Compiles the behavior for a specific object.
     */
    compile(id: number): string;
    /**
     * Compiles the post behavior for a specific object.
     */
    compilePost(id: number, actions: Record<number, string[]>, prefix: string): void;
    compileDisplay(display: Record<number, string[]>): void;
}
