export declare class GameObject {
    private readonly id;
    /**
     * A list of the names of every behavior on this GameObject.
     */
    behaviors: string[];
    /**
     * A record of every behavior-specific post action that needs to be output when this object compiles.
     */
    behaviorPostActions: Record<number, string[]>;
    /**
     * A record of all the display properties for this object.
     */
    displayProperties: Record<number, string[]>;
    constructor(id: number);
}
