declare const _default: "\ncreateBehavior!(\"square_collider\", {\n    //Create helpers\n    helper!({    \n        export function g_scol_u(c_urval, n_ewval) {\n            if(c_urval[1] != -1) {\n                state = c_urval;\n            } else {\n                state = n_ewval;\n            }\n        }\n        \n        export function g_scol_c(x_1, y_1, s_x1, s_y1, x_2, y_2, s_x2, s_y2) {\n            state = 0;\n            \n            //Quickly determine if they collide.\n            //https://gamedev.stackexchange.com/a/587\n            if(abs(x_1 - x_2) * 2 < s_x1 + s_x2 &&\n               abs(y_1 - y_2) * 2 < s_y1 + s_y2\n            ) {\n                state = 1;\n            }\n        }\n        \n        export function g_scol_g(x_1, y_1, s_x1, s_y1, x_2, y_2, s_x2, s_y2, i_d) {\n            state = [-1, 0, 0];\n        \n            //Make sure that we are colliding.\n            if(g_scol_c(x_1, y_1, s_x1, s_y1, x_2, y_2, s_x2, s_y2)) {\n                //1 if the condition is true, and -1 if it is false.\n                const x_scale_mul = (x_1 > x_2)*2 - 1;\n                const y_scale_mul = (y_1 > y_2)*2 - 1;\n            \n                //Calculate x collision.\n                const col_x = x_2 - x_1 + x_scale_mul*(s_x1/2 + s_x2/2);\n                \n                //Calculate y collision.\n                const col_y = y_2 - y_1 + y_scale_mul*(s_y1/2 + s_y2/2);\n                \n                //Put everything into an array.\n                state = [i_d, col_x, col_y];\n            }\n        }\n    });\n    \n    setValArgs!(\"only_collided\", 0, 0);\n    \n    //Calculate the collision values.\n    setVal!(\"data\", 0);\n    setInline!(\"data\");\n    \n    //True, true means that this update will be exported as a function which will be called instead of being inlined when used,\n    //and the second true means that the function will be a variable instead of a method, for a small performance boost.\n    setValAction!(\"data\", {\n        state = [-1, 0, 0];\n        \n        //Make sure that we actually need to calculate collisions for this collider.\n        if(!getVal!(\"only_collided\")) {\n            const scalex = getVal!(\"base.transform.scalex\");\n            const cornerx = getVal!(\"base.transform.x\");\n        \n            const scaley = getVal!(\"base.transform.scaley\");\n            const cornery = getVal!(\"base.transform.y\");\n        \n            const id = objectID!();\n            \n            //Go through each collider.\n            selectBehavior!(\"square_collider\", {\n                //Calculate the collision values for it.\n                const collision_value = {\n                    state = [-1, 0, 0];\n                    \n                    //Make sure that we aren't checking against ourselves.\n                    if(selectedID!() != id) {\n                        const scalex1 = getValSelect!(\"transform.scalex\");\n                        const cornerx1 = getValSelect!(\"transform.x\");\n                    \n                        const scaley1 = getValSelect!(\"transform.scaley\");\n                        const cornery1 = getValSelect!(\"transform.y\");\n                        \n                        //Get the value.\n                        state = g_scol_g(cornerx, cornery, scalex, scaley, cornerx1, cornery1, scalex1, scaley1, selectedID!());\n                    }\n                };\n                \n                //Only update the current value to the new value if the old value has not been set.\n                state = g_scol_u(state, collision_value);\n            });\n        }\n    }, -300, true, true);\n    \n    //Provide helpers to get the specific values from the collision data.\n    setValAction!(\"base.transform.collision_id\", {\n        state = getVal!(\"data\")[1];\n    }, -300, false);\n    \n    setValAction!(\"base.transform.collision_x\", {\n        state = getVal!(\"data\")[2];\n    }, -300, false);\n    \n    setValAction!(\"base.transform.collision_y\", {\n        state = getVal!(\"data\")[3];\n    }, -300, false);\n});\n";
export default _default;
